> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SCP Report Data

> Builds stablecoin payroll report rows from token payrolls and settlements, restricting USER role to own rows.

Required scope: `payroll:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-scp-report-data
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-scp-report-data:
    post:
      operationId: getSCPReportData
      summary: Get SCP Report Data
      x-toku-required-scope: payroll:read
      description: >-
        Builds stablecoin payroll report rows from token payrolls and
        settlements, restricting USER role to own rows.


        Required scope: `payroll:read`. It also needs `banking:read`,
        `compensation:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSCPReportDataRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSCPReportDataResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSCPReportDataRequest:
      type: object
      properties:
        payrollEntityId:
          type: string
          format: uuid
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        status:
          type: string
          maxLength: 100
    GetSCPReportDataResponse:
      type: object
      properties:
        reportData:
          type: array
          items: {}
        summary:
          type: object
          properties:
            totalPayrolls:
              type: integer
            totalAmount:
              type: string
            totalUSDEquivalent:
              type: string
            averageFMV:
              type: string
            totalSettlements:
              type: integer
            pendingSettlements:
              type: integer
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
